Subject: bug#33847: 27.0.50; emacsclient does not find server socket

From: Ulrich Mueller <[email-masked]>
Date: Thu, 22 Jul 2021 20:30:15 +0200

>>>>> On Thu, 22 Jul 2021, Eli Zaretskii wrote:

> However, it sounds like Ulrich wasn't happy with this solution back
> then,

I don't think I said that. I was only surprised that the fix was so
complicated. :)

> so perhaps we should first see that the problem still exists and that
> everyone involved are okay with installing this, modulo minor fixes?

The problem still exists in the current master: If the server is started
in a non-XDG environment then it will create its socket in /tmp, and an
emacsclient started in an XDG environment won't find the socket.

In my original report I had suggested:

| - Have emacsclient fall back to TMPDIR as well when no socket is found
|   under XDG_RUNTIME_DIR.

I have tested the patch at
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33847;filename=client.patch;att=1;msg=123
and the client falls back to /tmp as it should.